

layout(location = 0, index = 0) out vec4 outcol;

uniform sampler2D tex0;
uniform sampler3D rgb_lut;

uniform vec4 opasity;

in vec2 texcoord0_nm;

void main()
{
	vec4 sample_col = texture( tex0, texcoord0_nm );
	vec3 graded_col = texture( rgb_lut, sample_col.rgb ).rgb;

	outcol.rgb = mix( sample_col.rgb, graded_col.rgb, opasity.x );
	outcol.a = sample_col.a;
}
